Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #755

"Random Skin on Play" feature
November 15, 2017 22:16 - Mark G.

Status: Rejected Start date: November 15, 2017
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.10

Affects version: 3.0

Description

Hello,

| love Audacious and have used it as my only audio player for a while. But | was wondering if Winamp's old 'random skin on play’
feature could either be enabled in a config file, or if this feature might be added in upcoming versions of Audacious.

This feature was great in that when engaged, every new song in the playlist would call up a new (and random) skin, keeping the
interface fresh and fun. | am sending an attached image for reference. | have 100 old Winamp 2x Skins that work well with Audacious
as is, and would be even better if they can be randomly loaded.

Thank you very much in advance for your consideration,
Mark

mark.gillroy@gmail.com

History

#1 - May 03, 2018 06:39 - Jim Turner

I think this should pretty much do it (sorry, the lines in a cpl of the files don't line up due to unrelated differences, but enuf to show the needed
changes).

In main.cc(both), | don't believe it's possible to get an infinite loop in the tiny while stmt (to ensure the skin ALWAYS changes, since there must be at
least 2 skins installed to trigger), but if you see something there | missed, you might want to add a loop breaker vble. there.

https://github.com/wildstar84/fauxdacious-plugins/commit/2287cb3de8c3231d950d18f2ba058d84485b1f01

Regards,

Jim

#2 - June 30, 2018 02:45 - John Lindgren

- Subject changed from "Randon Skin on Play" feature to "Random Skin on Play" feature

#3 - June 16, 2021 13:39 - John Lindgren

- Status changed from New to Rejected

Closing a few feature requests that have seen no activity in over 3 years.
